package com.ruoyi.business.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * EBS库存现有量对比(画面显示用)
 */
public class EbsStock extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 物料编码 */
    @Excel(name = "物料编码")
    private String goodsId;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String goodsName;

    /** 批次 */
    @Excel(name = "批次")
    private String lotNumber;

    /** EBS子库 */
    @Excel(name = "EBS子库")
    private String subInventory;

    /** EBS现有量 */
    @Excel(name = "EBS现有量")
    private BigDecimal ebsNum;

    /** WMS库存 */
    @Excel(name = "WMS库存")
    private BigDecimal wmsNum;

    /** 差异数量 */
    @Excel(name = "差异数量")
    private BigDecimal diffNum;

    /** 状态 */
    @Excel(name = "是否平衡（0：不平衡；1：平衡）")
    private String sts;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getLotNumber() {
        return lotNumber;
    }

    public void setLotNumber(String lotNumber) {
        this.lotNumber = lotNumber;
    }

    public String getSubInventory() {
        return subInventory;
    }

    public void setSubInventory(String subInventory) {
        this.subInventory = subInventory;
    }

    public BigDecimal getEbsNum() {
        return ebsNum;
    }

    public void setEbsNum(BigDecimal ebsNum) {
        this.ebsNum = ebsNum;
    }

    public BigDecimal getWmsNum() {
        return wmsNum;
    }

    public void setWmsNum(BigDecimal wmsNum) {
        this.wmsNum = wmsNum;
    }

    public BigDecimal getDiffNum() {
        return diffNum;
    }

    public void setDiffNum(BigDecimal diffNum) {
        this.diffNum = diffNum;
    }

    public String getSts() {
        return sts;
    }

    public void setSts(String sts) {
        this.sts = sts;
    }
}
